Subject: Re: [PATCH 3/3] bnx2i: Add bnx2i iSCSI driver.

From: Roland Dreier <[email-masked]>
Date: Tue, 27 May 2008 11:21:32 -0700

> We're doing it in userspace, so I don't if that makes it any better or
 > any worse.

How do you do it in userspace?  With a bind()?  That is a little
wasteful in that you are reserving a local addr/port when all you really
need to reserve is the actual local/remote 4-tuple that you are going to
use for the connection, but that's not horrible.

 > Roland, what do you suggest?  We can do it like cma_alloc_any_port() in
 > cma.c.

Actually cma.c still has the problem of host/offload port space collisions.

The whole port sharing thing is a mess -- I was hoping you had come up
with a good solution that cma.c could steal to be honest, so I don't
have any better ideas at the moment.

 - R.